Package musicbrainz2 :: Module model :: Class LabelAlias

[frames] | no frames]

# Class LabelAlias

source code

       object --+
                |
    AbstractAlias --+
                    |
                   LabelAlias

Represents a label alias.

An alias (the alias value) is a different representation of a label's name. This may be a common misspelling or a transliteration (the alias type).

The alias script is interesting mostly for transliterations and indicates which script is used for the alias value. To represent the script, ISO-15924 script codes like 'Latn', 'Cyrl', or 'Hebr' are used.

Instance Methods
Inherited from `AbstractAlias`: `__init__`, `getScript`, `getType`, `getValue`, `setScript`, `setType`, `setValue` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `AbstractAlias`: `script`, `type`, `value` Inherited from `object`: `__class__`